Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class SpecieReference

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.standard.type.BaseSupport
            |
            +--biouml.standard.type.GenericEntity
                  |
                  +--biouml.standard.type.SpecieReference

public class SpecieReference
extends GenericEntity
implements FormulaDelegate, Relation, SerializableAsText

SpecieReference specifies role of molecule involved in the Reaction.

pending is it property names clear and correct?

Field Summary
`final static String` | `ACTION_CATALYST`
`final static String` | `ACTION_INHIBITOR`
`final static String` | `ACTION_SWITCH_OFF`
`final static String` | `ACTION_SWITCH_ON`
`final static String` | `MODIFIER`
`final static String` | `OTHER`
`final static String` | `PRODUCT`
`final static String` | `REACTANT`

Constructor Summary
`SpecieReference(DataCollection origin, String name)`
`SpecieReference(DataCollection origin, String name, String role)`
`SpecieReference(String descr)`

Method Summary
`SpecieReference` | `clone(DataCollection origin, String name)`
`String` | `getAsText()`
`String` | `getFormula()`
`String` | `getModifierAction()`
`String` | `getParticipation()`
`String` | `getRole()`
`String` | `getSpecie()`
`String` | `getStoichiometry()`
`String` | `getType()`
`boolean` | `isReactantOrProduct()` Used in BeanInfo to disable editing of modifierAction property for reactant or product specie.
`void` | `setModifierAction(String modifierAction)`
`void` | `setParticipation(String participation)`
`void` | `setRole(String role)`
`void` | `setSpecie(String specie)`
`void` | `setStoichiometry(String stoichiometry)`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Field Detail

### ACTION_CATALYST

    public final static String ACTION_CATALYST

### ACTION_INHIBITOR

    public final static String ACTION_INHIBITOR

### ACTION_SWITCH_OFF

    public final static String ACTION_SWITCH_OFF

### ACTION_SWITCH_ON

    public final static String ACTION_SWITCH_ON

### MODIFIER

    public final static String MODIFIER

### OTHER

    public final static String OTHER

### PRODUCT

    public final static String PRODUCT

### REACTANT

    public final static String REACTANT

Constructor Detail

### SpecieReference

    public SpecieReference(DataCollection origin, String name)

### SpecieReference

    public SpecieReference(DataCollection origin, String name, String role)

### SpecieReference

    public SpecieReference(String descr)

Method Detail

### clone

    public SpecieReference clone(DataCollection origin, String name)

### getAsText

    public String getAsText()

### getFormula

    public String getFormula()

### getModifierAction

    public String getModifierAction()

### getParticipation

    public String getParticipation()

### getRole

    public String getRole()

### getSpecie

    public String getSpecie()

### getStoichiometry

    public String getStoichiometry()

### getType

    public String getType()

### isReactantOrProduct

    public boolean isReactantOrProduct()

  Used in BeanInfo to disable editing of modifierAction property for reactant or product specie.

### setModifierAction

    public void setModifierAction(String modifierAction)

### setParticipation

    public void setParticipation(String participation)

### setRole

    public void setRole(String role)

### setSpecie

    public void setSpecie(String specie)

### setStoichiometry

    public void setStoichiometry(String stoichiometry)

Association Links

to Class org.apache.log4j.Category

to Class java.lang.String

  Complete name of specie relative the module.

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

  Specifies the involved molecule stoichiometry.

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

  Specifies the modifier action. This value is needed only if role is MODIFIER, othervise it should be empty.

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM